Subject: [mpls] [Need clarification] LDP Multi-Topology Extensions RFC 7307

From: "Anil Kumar S N (VRP Network BL)" <[email-masked]>
Date: Fri, 28 Aug 2015 06:28:56 +0000

Hi All,

I need clarification on the LDP MT behavior.

                LDP extension for Multi-Topology explains following :

1.       New Address Families: MT IP

2.       LDP FEC Elements with MT IP AF

3.       LDP MT Capability Advertisement

As per LDP Specification RFC 5036, Address Family filed is carried in FEC TLV and Address List TLV.

Nothing about Address List TLV is mentioned in LDP Multi-Topology Extensions RFC 7307,
Can we use  "New Address Families: MT IP" in Address List TLV or not ? (when a interface is bound to Non-default MT)
I feel this can be explained more specifically similar to FEC TLV in LDP Multi-Topology Extensions RFC 7307.

Appreciate if authors or community members can help to clarify.

Thanks & Regards
Anil S N

"Be liberal in what you accept, and conservative in what you send" - Jon Postel

---

From: Quintin zhao <[email-masked]>
Date: Fri, 28 Aug 2015 16:47:52 +0000

Anil,

>From RFC 5036, section 3.4.3<https://tools.ietf.org/html/rfc5036#section-3.4.3> for the  Address List TLV,  it specifies the addresses included in the Address List TLV as below：

Addresses
      A list of addresses from the specified Address Family. The
      encoding of the individual addresses depends on the Address
      Family.

So  the new addresses associated with the new address family (MT IPv4 and MT Ipv6  defined in RFC7307)  can be used in the  Address List TLV.   I agree with you that It should be clearer if this is explained explicitly similar to FEC TLV  in RFC7307.

Regards,
Quintin

From: Anil Kumar S N (VRP Network BL)
Sent: 2015年8月28日 2:29
To: Quintin zhao; [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]
Cc: [email-masked]; [email-masked]; Wunan (Eric); Lizhenbin; Rajeshmv; Dhruv Dhody; Fangsheng
Subject: [Need clarification] LDP Multi-Topology Extensions RFC 7307

Hi All,

Nothing about Address List TLV is mentioned in LDP Multi-Topology Extensions RFC 7307,
Can we use  “New Address Families: MT IP” in Address List TLV or not ? (when a interface is bound to Non-default MT)

Thanks & Regards
Anil S N

“Be liberal in what you accept, and conservative in what you send” - Jon Postel